Package com.sun.jna.platform.unix.solaris

# Class Kstat2StatusException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.sun.jna.platform.unix.solaris.Kstat2StatusException

All Implemented Interfaces:
  `Serializable`

public class Kstat2StatusException extends RuntimeException
Exception encapsulating `Kstat2` Error Return Values, defined as `kstat2_status` values in `kstat2.h`

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `Kstat2StatusException(int ks)`
  New exception from `kstat2_status`
  `protected`
  `Kstat2StatusException(int ks, String msg)`
  New exception from `kstat2_status` with specified message

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getKstat2Status()`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Kstat2StatusException

    public Kstat2StatusException(int ks)
    New exception from `kstat2_status`
    Parameters:
      `ks` - The return value

  - ### Kstat2StatusException

    protected Kstat2StatusException(int ks, String msg)
    New exception from `kstat2_status` with specified message
    Parameters:
      `ks` - The return value
      `msg` - The exception message

- ## Method Details

  - ### getKstat2Status

    public int getKstat2Status()
    Returns:
      the Kstat2Status code